!=====================================================================
! ͭѿνΥ⥸塼
! 2002/01/20
!=====================================================================
module com_var
  use prm
  implicit none
  real(8) , save :: x(1:IMAX)              ! x ɸ
  real(8) , save :: zk(1:KMAX)             ! ƺɸ
  real(8) , save :: zk_half(0:KMAX)             ! ƺɸ
  real(8) , save :: wgt(1:KMAX)


  real(8) , save :: delta_zk_j(0:KMAX-1)   ! j
  real(8) , save :: delta_zk_j1_2(0:KMAX)  ! j+1/2
  real(8) , save :: Q
  real(8) , save :: A_0

  integer        :: i,j, k             ! do ѿ


contains

!=====================================================================
! ٰ¸ѥ᡼ؿν
! 2002/01/26
!=====================================================================
  subroutine depend_T_prm(T, A_0, Q)
    real(8)  , intent(in)   :: T
    real(8)  , intent(out)  :: Q
    real(8)  , intent(out)  :: A_0

    if(T <= 263.15)then
       Q = 60.e3
       A_0 = 1.14e-5/s_a
    else
       Q = 139.e3
       A_0 = 5.47e-10/s_a
    end if
  end subroutine depend_T_prm

!=====================================================================
! ɸ
! allocate °ȤäؤǤ褦ˤ
!=====================================================================
  subroutine get_frame

    x  = ((/(i, i=1, IMAX)/)-1) * dx

! 11  
!    if(KMAX == 11)then
       zk = (/0.01D0, 0.03D0, 0.05D0, 0.07D0, 0.09D0, 0.175D0,0.325D0, 0.475D0, 0.625D0, 0.775D0, 0.925D0/)  

       zk_half = (/0.00D0, 0.02D0, 0.04D0, 0.06D0, 0.08D0, 0.10D0, 0.25D0, 0.40D0, 0.55D0, 0.70D0, 0.85D0, 1.0D0/)


! 0.05 
!    zk = ((/(i, i=1, KMAX)/)) * 0.05D0 -0.025D0
!    zk_half = ((/(i, i=0, KMAX)/)) * 0.05D0

    ! Ƴʻ礭
    do k = 1, KMAX
       wgt(k) = (zk_half(k) -zk_half(k-1))
    end do


!    elseif(KMAX == 20)then
! 20 
!       zk = (/0.0, 0.01, 0.02, 0.03, 0.05, 0.07, 0.10, 0.13, 0.17, 0.20, 0.25, &
!            & 0.32, 0.40, 0.47, 0.55, 0.63, 0.70, 0.77, 0.85, 0.93, 1.0/)
!    elseif(KMAX == 40)then
! 40 
!       zk = (/0.0, 0.005, 0.01, 0.015, 0.02, 0.025, 0.03, 0.04, 0.05, 0.06, &
!            & 0.07, 0.085, 0.10, 0.115, 0.13, 0.15, 0.17, 0.18, 0.20, 0.22, &
!            & 0.25, 0.28, 0.32, 0.36, 0.40, 0.43, 0.47, 0.52, 0.55, 0.58,  &
!            & 0.63, 0.67, 0.70, 0.73, 0.77, 0.80, 0.85, 0.89, 0.93, 0.96, 1.0/)
!    end if
! ֳgrid
!    zk = (/0.0D0, 0.1D0, 0.2D0, 0.3D0, 0.4D0, 0.5D0, 0.6D0, 0.7D0, 0.8D0, 0.9D0, 1.0D0/)  

  end subroutine get_frame

!=====================================================================
! ƺɸ˴ؤѿã
! ʻҴֳ֤
!  2002/01/29
!=====================================================================

!  subroutine get_zeta_hensu(delta_zk_j, delta_zk_j1_2)
!    real(8) , intent(out)  :: delta_zk_j(0:KMAX-1)     !j
!    real(8) , intent(out)  :: delta_zk_j1_2(0:KMAX)    !_{j+1/2}
    

    !  ʻҴֳ֤
    ! (岼Ǵֳ֤ȾʬˤʤäƤΤ 2 )
!    delta_zk_j1_2(0) = 2.0D0*(zk(1) - zk(0))         + epsilon(0.0)
!!    delta_zk_j1_2(0) = (zk(1) - zk(0))         
!    delta_zk_j1_2(KMAX) = 2.0D0*(zk(KMAX) - zk(KMAX-1)) + epsilon(0.0) 
!!    delta_zk_j1_2(km) = (zk(km) - zk(km-1))
    

 !   delta_zk_j(0)   = zk(1) - zk(0) 
    
!    do j = 1, KMAX-1 
!       delta_zk_j(j) = zk(j+1) - zk(j) 
                                                ! ʻǤγʻҴֳ
!       delta_zk_j1_2(j) = (zk(j+1) - zk(j-1))/2.0D0 
                                                ! ȾʻǤγʻҴֳ
!    end do




!  end subroutine get_zeta_hensu
end module com_var



